######################################################################
# pyukiwiki.ini.cgi - This is PyukiWiki yet another Wiki clone
# $Id: pyukiwiki.ini.cgi,v 1.252 2013/03/09 02:12:26 papu Exp $
# Build 2013-03-08 11:48:40
#
# "PyukiWiki" ver 0.2.1-customoer-preview $$
# Copyright(C) 2004-2007 Nekyo
# Copyright(C) 2005-2013 PyukiWiki Developers Team
# http://pyukiwiki.info/
# Based on YukiWiki http://www.hyuki.com/yukiwiki/
# Powerd by PukiWiki http://pukiwiki.sfjp.jp/
# License GPL3 and/or Artistic or each later version
#
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
# Return=CRLF Code=EUC-JP 1TAB=4Spaces
######################################################################
use strict;

######################################################################
# en:Default Language
# ja:ǥեȤθ
######################################################################
# en:Select Defualt Language
# ja:ǥեȸ
# @{ja:Japanese/en:English}
$::lang = "ja";

######################################################################
# ja:
######################################################################


# ja:ɡܸΤߡ
# @ja{euc:EUC-JP/sjis:Shift-JIS/utf8:UTF-8}
$::kanjicode = "euc";

# ja:饯
# @{}
$::charset = "";

# ja:쥳Ѵ			# Jcode Only!!
# @ja{Jcode:Jcode.pm}
$::code_method{ja} = "Jcode";

######################################################################
# ja:ǡǼǥ쥯ȥ
######################################################################

# ja:CGIΤߥǡΥǥ쥯ȥ
# @{.}
$::data_home = '.';

# ja:֥饦鸫ǡΥɥ쥹
# @{.}
$::data_pub = '.';

# ja:֥饦СХǥ쥯ȥ
# @{.}
$::data_url = '.';

# ja:ƥγǼǥ쥯ȥꡡ̾ѹʤǲ
# @{.}
$::bin_home = '.';

## cgi-bin̤Υǥ쥯ȥ
## for sourceforge.jp
## /home/groups/p/py/pyukiwiki/htdocs
## /home/groups/p/py/pyukiwiki/cgi-bin
#$::data_home = '.';
#$::data_pub = '../htdocs';
#$::data_url = '..';

## Windows NT Server (IIS+ActivePerl)ξ
#$::data_home = 'C:/inetpub/cgi-bin/pyuki/';
#$::data_pub = 'C:/inetpub/cgi-bin/pyuki/';
#$::data_url = '.';

# ja:ڡǡ¸ѥǥ쥯ȥ
# @{$::data_home/wiki}
$::data_dir    = "$::data_home/wiki";

# ja:Хåå¸ѥǥ쥯ȥ
# @{$::data_home/backup}
$::backup_dir  = "$::data_home/backup";

# ja:ʬ¸ѥǥ쥯ȥ
# @{$::data_home/diff}
$::diff_dir    = "$::data_home/diff";

# ja:å¸ѥǥ쥯ȥ
# @{$::data_pub/cache}
$::cache_dir   = "$::data_pub/cache";

# ja:åѥɥ쥹
# @{$::data_url/cache}
$::cache_url   = "$::data_url/cache";

# ja:źեեǼǥ쥯ȥ
# @{$::data_pub/attach}
$::upload_dir  = "$::data_pub/attach";

# ja:źեեѥɥ쥹
# @{$::data_url/attach}
$::upload_url  = "$::data_url/attach";

# ja:󥿡Ǽѥǥ쥯ȥ
# @{$::data_url/counter}
$::counter_dir = "$::data_home/counter";

# ja:ץ饰Ǽǥ쥯ȥ
# @{$::bin_home/plugin}
$::plugin_dir  = "$::bin_home/plugin";

# ja:Exץ饰Ǽǥ쥯ȥ
# @{$::bin_home/lib}
$::explugin_dir= "$::bin_home/lib";

# ja:Ǽѥǥ쥤ȥ
# @{$::data_pub/skin}
$::skin_dir    = "$::data_pub/skin";

# ja:ѥǥ쥯ȥ
# @{$::data_url/skin}
$::skin_url    = "$::data_url/skin";

# ja:Ǽѥǥ쥯ȥ
# @{$::data_pub/image}
$::image_dir   = "$::data_pub/image";

# ja:URL
# @{$::data_url/image}
$::image_url   = "$::data_url/image";

# ja:ʸǼǥ쥯ȥ
# @{$::data_home/info}
$::info_dir    = "$::data_home/info";

# ja:꥽Ǽǥ쥯ȥ
# @{$::bin_home/resource}
$::res_dir     = "$::bin_home/resource";

# ja:ƥѥǥ쥯ȥ
# @{$::bin_home/lib}
$::sys_dir	   = "$::bin_home/lib";

# ja:XS⥸塼ѥǥ쥯ȥ
# @{$::bin_home/blib}
$::sysxs_dir   = "$::bin_home/blib";

######################################################################
# ja:
######################################################################
# ja:̾
# @{@list:$::skin_dir/*.skin.cgi}
$::skin_name   = "pyukiwiki";
$::use_blosxom = 0;	# blosxom.cssѤȤˤ

# for tdiary theme wrapper
#$::skin_name = "tdiary";
#$::skin_name{tdiary} = "tdiary_theme";
##$::skin_selector{tdiary} = "theme_id:alias name,theme_id:alias name";
##   setting.inc.cgi Ǥ褦ˤʤ
##   ¿ȥץ뤬ɽǤʤǽޤ

######################################################################
# ưŪåȥåץե
######################################################################
$::setup_file = "$::info_dir/setup.ini.cgi";
$::ngwords_file = "$::info_dir/setup_ngwords.ini.cgi";

######################################################################
# ja:HTTPץꡡ̾פǤ
######################################################################
# ja:ץСΥۥ̾
# @{}
$::proxy_host = '';

# ja:ץСΥݡ
# @{3128}
$::proxy_port = 3128;

######################################################################
# ja:wikiԾ
# (ѿθ̾Ϣˤȡ̤ˤǤޤ
######################################################################
# ja:̾
# @{PyukiWiki}
$::wiki_title = 'PyukiWiki';

# ʱѸΥȥ
#$::wiki_title{en} = 'PyukiWiki';

# ja:̾ʥȴ̾
# @{anonymous}
$::modifier = 'anonymous';

# ja:URL
# @{}
$::modifierlink = '';

# ja:ԥ᡼륢ɥ쥹
# @{}
$::modifier_mail = '';

# ja:
# @{$::wiki_title}
$::meta_keyword = "$::wiki_title";

# ja:ȥοƳؤά
# @ja{1:ά/0άʤ}
$::short_title = 0;

######################################################################
# ja:
######################################################################
# ja:URL
# @{$::image_url/pyukiwiki.png}
$::logo_url = "$::image_url/pyukiwiki.png";

# ja:β
# @{80}
$::logo_width = 80;

# ja:ι⤵
# @{80}
$::logo_height = 80;

# ja:ʸ
# @{[PyukiWiki]}
$::logo_alt = "[PyukiWiki]";

######################################################################
# ץ̾
######################################################################
# servererrorurlhackץ饰ѤϡưǤϤʤ
# $::scriptɬꤷƲ
#$::script			 =  'index.cgi';
# ja:ץ̾ϤʤǼư
# @ja{:ư/index.cgi:index.cgi/nph-index.cgi:nph-index.cgi/index.xcg:index.xcg}
$::script			 =  '';

# ja:URLϤʤǼư
# @{}
$::basehref			 =  '';

# ja:ʬȤΥץ̾
# @{index\.cgi|nph\-index\.cgi|index\.xcg}
$::defaultindex		 =  'index\.cgi|nph\-index\.cgi|index\.xcg';

# ja:cookieѴѥϤʤǼư
# @{}
$::basepath			 =  '';

######################################################################
# ja:ǥեȥڡ̾
######################################################################

# ja:FrontPageȥåץڡ
# @{FrontPage}
$::FrontPage		 =  'FrontPage';

# ja:RecentChangesѹ
# @{RecentChanges}
$::RecentChanges	 =  'RecentChanges';

# ja:MenuBarΥ˥塼
# @{MenuBar}
$::MenuBar			 =  'MenuBar';

# ja:SideBarΥ˥塼
# @{:SideBar}
$::SideBar			 =  ':SideBar';

# ja:TitleHeaderΥХʡ
# @{:TitleHeader}
$::TitleHeader		 =  ':TitleHeader';

# ja:Header ڡɽ
# @{:Header}
$::Header			 =  ':Header';

# ja:BodyHeaderHeader겼ɽ
# @{:BodyHeader}
$::BodyHeader		 =  ':BodyHeader';

# ja:Footer ڡɽ
# @{:Footer}
$::Footer			 =  ':Footer';

# ja:BodyFooterFooterɽ
# @{:BodyFooter}
$::BodyFooter		 =  ':BodyFooter';

# ja:SkinFooterPyukiWikiʬɽ
# @{:SkinFooter}
$::SkinFooter		 =  ':SkinFooter';

# ja:SandBox
# @{SandBox}
$::SandBox			 =  'SandBox';

# ja:InterWikiNameInterWiki
# @{InterWikiName}
$::InterWikiName	 =  'InterWikiName';

# ja:InterWikiSandBoxInterWiki
# @{InterWikiSandBox}
$::InterWikiSandBox	 =  'InterWikiSandBox';

# ja:ErrorPage顼ɽڡ
# @{ErrorPage}
$::ErrorPage		 =  "ErrorPage";

# ja:AdminPageѥڡ?cmd=admin)
# @{AdminPage}
$::AdminPage		 =  "AdminPage";

# ja:IndexPageΥڡ?cmd=list)
# @{IndexPage}
$::IndexPage		 =  "IndexPage";

# ja:SearchPageڡ?cmd=search)
# @{SearchPage}
$::SearchPage		 =  "SearchPage";

# ja:CreatePageڡ?cmd=newpage)
# @{CreatePage}
$::CreatePage		 =  "CreatePage";

######################################################################
# ja:ԥѥɤ¸ˡ
######################################################################

# ja:ԥѥɤΰŹ沽ˡ
# @ja{AUTO:ư̾ѹʤǲ/CRYPT:CRYPT/MD5:MD5/SHA1:SHA1/SHA256:SHA256/SHA384:SHA384/SHA512:SHA512/TEXT:ƥ}
$::CryptMethod = "AUTO";

######################################################################
# ѥ
######################################################################

# [pass] of cross MD5
$::adminpass = '{MD5}21a37805a1e67cd6142d30ef780ce771';

# [pass] of text
#$::adminpass = '{TEXT}pass';

# [pass] of plain crypt
#$::adminpass = crypt("pass", "AA");

# ѥɤ̤ˤ
#̥ѥɤǤǧڤޤ̤Ѥʤ¬ʥѥϡ
#$::adminpass = 'aetipaesgyaigygoqyiwgorygaeta';# ǥեȤѻѥǥǽѥ
#$::adminpass{admin} = '{TEXT}admin';		# ѥѥɡ
#$::adminpass{frozen} = '{TEXT}frozen'	;	# ѥѥ
#$::adminpass{attach} = '{TEXT}attach'	;	# źѥѥ

######################################################################
# ja:ѥɤΥƥ
######################################################################
# ja:ѥɤʰװŹ沽롣
# @{1:ʰװŹ沽򤹤(JavaScript)/0:ƥȤ}
$::Use_CryptPass = 1;

######################################################################
# ꥹ
######################################################################

#$::lang_list = "ja en";
#$::lang_list = "ja en cn";

######################################################################
# ja:RSS
######################################################################

# ja:RSSν϶Ž
# @{1:1/2:2/3:3/4:4/5:5/6:6/7:7/8:8/9:9/10:10/15:15/20:20/25:25/30:30}
$::rss_lines = 15;

# ja:RSSdescriptionιԿꤹ
# @{1:1/2:2/3:3/4:4/5:5/6:6/7:7/8:8/9:9/10:10}
$::rss_description_line = 1;

# RSS (ѿθ̾Ϣˤȡ̤ˤǤޤ# ja:RSSɽ
# @{$::wiki_title}
$::modifier_rss_title = $::wiki_title;

# ja:RSSΥʻʤǼư
# @{}
$::modifier_rss_link = '';

# ja:RSS
# @{Modified by $::modifier}
$::modifier_rss_description = "Modified by $::modifier";

#$::modifier_rss_title = "PyukiWiki $::version";
#$::modifier_rss_link = 'http://pyukiwiki.info/';
#$::modifier_rss_description = 'This is PyukiWiki.';

%::rssenable;							# RSS/ATOM/OPML̵ͭ

# ja:RSS1.0ͭˤ
# @{1:ͭ/0:̵}
$::rssenable{rss10} = 1;

# ja:RSS2.0ͭˤ
# @{1:ͭ/0:̵}
$::rssenable{rss20} = 1;

# ja:ATOMͭˤ
# @{1:ͭ/0:̵}
$::rssenable{atom} = 1;

# ja:OPMLͭˤ
# @{1:ͭ/0:̵}
$::rssenable{opml} = 1;

######################################################################
# ץ饰
######################################################################
$::plugin_disable{pluginname} = 1;	# pluginname̵ˤ
#$::plugin_disable{bugtrack} = 1;	# bugtrack̵ˤ

######################################################################
# ja:Exץ饰
######################################################################
# ja:expluginλ
# @ja{1:Ѥ/0:Ѥʤ}
$::useExPlugin = 1;

######################################################################
# ja:HTMLϥ⡼
######################################################################

# ja:PCνϥ⡼
# @ja{html4:HTML 4.01 Transitional/xhtml10:XHTML 1.0 Strict/xhtml10t:XHTML 1.0 Transitional/xhtml11:XHTML 1.1/xhtmlbasic10:XHTML Basic 1.0/html5:HTML5̤}
$::htmlmode = "html4";

# ja:ޡȥեνϥ⡼ɡ̤
# @{html4:HTML 4.01 Transitional/xhtml10:XHTML 1.0 Strict/xhtml10t:XHTML 1.0 Transitional/xhtml11:XHTML 1.1/xhtmlbasic10:XHTML Basic 1.0/html5:HTML5̤}
$::htmlmode{sp} = "html5";

# ja:Хνϥ⡼ɡ̤
# @{html4:HTML 4.01 Transitional/xhtml10:XHTML 1.0 Strict/xhtml10t:XHTML 1.0 Transitional/xhtml11:XHTML 1.1/xhtmlbasic10:XHTML Basic 1.0/html5:HTML5̤}
$::htmlmode{mobile} = "xhtml10t";

######################################################################
# Хååפλ
######################################################################
# ja:ХååפѤ
# @{1:Ѥ/0:Ѥʤ}
$::useBackUp = 1;

######################################################################
# ja:ɽ
######################################################################
# ja:եޡ
# @{1:Ȥ/0:Ȥʤ}
$::usefacemark = 1;

# ja:ݥåץå
# @{0:̤˥󥯤/1:ݥåץåפ򤹤/2:С̾(HTTP_HOST)ӤơƱʤ̤˥󥯤/3:ɥ쥹($basehref)ӤƱʤ̤ˡưʤС}
$::use_popup = 1;

# ja:wikiʸǥեȤǲԤ
# @{0:ʤ/1:}
$::line_break = 0;

# ja:ǽɽ
# @{0:ɽʤ/1:ɽ/2:ɽ}
$::last_modified = 2;

# ja:ǽΥץץ
# @{Last-modified:}
$::lastmod_prompt = 'Last-modified:';

# ja:Ƥβ̤ǡHeaderMenuBarFooterɽ
# @{1:/0:ʤ}
$::allview = 1;

# ja:ɽ
# @{0:$bodyβɽ/1:footerξɽ/2:footerβɽ}
$::notesview = 0;

# ja:ڡեåξɽperlС
# @{1:/0:ʤ}
$::enable_last = 1;

# ja:ڡեå˲ƯOSɽ
# @{1:/0:ʤ}
$::enable_last_os = 0;

# ja:ڡɽ֤ɽ
# @{1:/0:ʤ}
$::enable_convtime = 1;

# ja:ž򤷤Ƥ뤫ɽ
# @{1:/0:ʤ}
$::enable_compress = 1;

# ja:΢
# @{&dagger;}
$::_symbol_anchor = '&dagger;';

######################################################################
# ja:᡼륢ɥ쥹ݸ
######################################################################

# ja:diffץ饰ڤӥХååץץ饰ˤƥ᡼륢ɥ쥹򱣤
# @{1:/0:ʤ}
$::diff_disable_email = 1;

# ja:Хååץץ饰Υɽˤƥ᡼륢ɥ쥹򱣤
# @{1:/0:ʤ}
$::backup_disable_email = 1;

######################################################################
# ja:եޥå
######################################################################
# ja:դΥեޥå
# @{Y-m-d:yyyy-mm-dd/Y-n-j:yyyy-m-d/y-m-d:yy-mm-dd/y-n-j:yy-m-d/M d Y:Mon d yyyy/d M Y:d Mon yyyy/M d y:Mon d yy/d M y/d Mon yy}
$::date_format = "Y-m-d";

# ja:Υեޥå
# @{H\:i\:s:23\:05\:05/A h\:i\:s:PM 11\:05\:05/h\:i\:s/11\:05\:05}
$::time_format = "H:i:s";

# ja:&now;եޥå
# @{Y-m-d(lL) H\:i\:s:yyyy-mm-dd(ww) 23\:05\:05/Y-m-d(D) H\:i\:s:yyyy-mm-dd(w) 23\:05\:05/Y-m-d H\:i\:s:yyyy-mm-dd 23\:05\:05/Y-m-d(lL) A h\:i\:s:yyyy-mm-dd(ww) PM 11\:05\:05/Y-m-d(D) A h\:i\:s:yyyy-mm-dd(w) PM 11\:05\:05/Y-m-d A h\:i\:s:yyyy-mm-dd PM 11\:05\:05/Y-m-d(lL) h\:i\:s:yyyy-mm-dd(ww) 11\:05\:05/Y-m-d(D) h\:i\:s:yyyy-mm-dd(w) 11\:05\:05/Y-m-d h\:i\:s:yyyy-mm-dd 11\:05\:05/y-m-d(lL) H\:i\:s:yy-mm-dd(ww) 23\:05\:05/y-m-d(D) H\:i\:s:yy-mm-dd(w) 23\:05\:05/y-m-d H\:i\:s:yy-mm-dd 23\:05\:05/y-m-d(lL) A h\:i\:s:yy-mm-dd(ww) PM 11\:05\:05/y-m-d(D) A h\:i\:s:yy-mm-dd(w) PM 11\:05\:05/y-m-d A h\:i\:s:yy-mm-dd PM 11\:05\:05/y-m-d(lL) h\:i\:s:yy-mm-dd(ww) 11\:05\:05/y-m-d(D) h\:i\:s:yy-mm-dd(w) 11\:05\:05/y-m-d h\:i\:s:yy-mm-dd 11\:05\:05/D M d H\:i\:s Y:W d Mon 23\:05\:05 yyyy/M d H\:i\:s Y:d Mon 23\:05\:05 yyyy/D M d A h\:i\:s Y:W d Mon PM 11\:05\:05 yyyy/M d A h\:i\:s Y:d Mon PM 11\:05\:05 yyyy/D M d h\:i\:s Y:W d Mon 11\:05\:05 yyyy/M d h\:i\:s Y:d Mon 11\:05\:05 yyyy}
$::now_format = "Y-m-d(lL) H:i:s";

# ja:lastmodեޥå
# @{Y-m-d(lL) H\:i\:s:yyyy-mm-dd(ww) 23\:05\:05/Y-m-d(D) H\:i\:s:yyyy-mm-dd(w) 23\:05\:05/Y-m-d H\:i\:s:yyyy-mm-dd 23\:05\:05/Y-m-d(lL) A h\:i\:s:yyyy-mm-dd(ww) PM 11\:05\:05/Y-m-d(D) A h\:i\:s:yyyy-mm-dd(w) PM 11\:05\:05/Y-m-d A h\:i\:s:yyyy-mm-dd PM 11\:05\:05/Y-m-d(lL) h\:i\:s:yyyy-mm-dd(ww) 11\:05\:05/Y-m-d(D) h\:i\:s:yyyy-mm-dd(w) 11\:05\:05/Y-m-d h\:i\:s:yyyy-mm-dd 11\:05\:05/y-m-d(lL) H\:i\:s:yy-mm-dd(ww) 23\:05\:05/y-m-d(D) H\:i\:s:yy-mm-dd(w) 23\:05\:05/y-m-d H\:i\:s:yy-mm-dd 23\:05\:05/y-m-d(lL) A h\:i\:s:yy-mm-dd(ww) PM 11\:05\:05/y-m-d(D) A h\:i\:s:yy-mm-dd(w) PM 11\:05\:05/y-m-d A h\:i\:s:yy-mm-dd PM 11\:05\:05/y-m-d(lL) h\:i\:s:yy-mm-dd(ww) 11\:05\:05/y-m-d(D) h\:i\:s:yy-mm-dd(w) 11\:05\:05/y-m-d h\:i\:s:yy-mm-dd 11\:05\:05/D M d H\:i\:s Y:W d Mon 23\:05\:05 yyyy/M d H\:i\:s Y:d Mon 23\:05\:05 yyyy/D M d A h\:i\:s Y:W d Mon PM 11\:05\:05 yyyy/M d A h\:i\:s Y:d Mon PM 11\:05\:05 yyyy/D M d h\:i\:s Y:W d Mon 11\:05\:05 yyyy/M d h\:i\:s Y:d Mon 11\:05\:05 yyyy}
$::lastmod_format = "Y-m-d(lL) H:i:s";

# ja:recentեޥå
# @{Y-m-d(lL) H\:i\:s:yyyy-mm-dd(ww) 23\:05\:05/Y-m-d(D) H\:i\:s:yyyy-mm-dd(w) 23\:05\:05/Y-m-d H\:i\:s:yyyy-mm-dd 23\:05\:05/Y-m-d(lL) A h\:i\:s:yyyy-mm-dd(ww) PM 11\:05\:05/Y-m-d(D) A h\:i\:s:yyyy-mm-dd(w) PM 11\:05\:05/Y-m-d A h\:i\:s:yyyy-mm-dd PM 11\:05\:05/Y-m-d(lL) h\:i\:s:yyyy-mm-dd(ww) 11\:05\:05/Y-m-d(D) h\:i\:s:yyyy-mm-dd(w) 11\:05\:05/Y-m-d h\:i\:s:yyyy-mm-dd 11\:05\:05/y-m-d(lL) H\:i\:s:yy-mm-dd(ww) 23\:05\:05/y-m-d(D) H\:i\:s:yy-mm-dd(w) 23\:05\:05/y-m-d H\:i\:s:yy-mm-dd 23\:05\:05/y-m-d(lL) A h\:i\:s:yy-mm-dd(ww) PM 11\:05\:05/y-m-d(D) A h\:i\:s:yy-mm-dd(w) PM 11\:05\:05/y-m-d A h\:i\:s:yy-mm-dd PM 11\:05\:05/y-m-d(lL) h\:i\:s:yy-mm-dd(ww) 11\:05\:05/y-m-d(D) h\:i\:s:yy-mm-dd(w) 11\:05\:05/y-m-d h\:i\:s:yy-mm-dd 11\:05\:05/D M d H\:i\:s Y:W d Mon 23\:05\:05 yyyy/M d H\:i\:s Y:d Mon 23\:05\:05 yyyy/D M d A h\:i\:s Y:W d Mon PM 11\:05\:05 yyyy/M d A h\:i\:s Y:d Mon PM 11\:05\:05 yyyy/D M d h\:i\:s Y:W d Mon 11\:05\:05 yyyy/M d h\:i\:s Y:d Mon 11\:05\:05 yyyy}
$::recent_format = "Y-m-d(lL) H:i:s";

# ja:Хååפեޥå
# @{Y-m-d(lL) H\:i\:s:yyyy-mm-dd(ww) 23\:05\:05/Y-m-d(D) H\:i\:s:yyyy-mm-dd(w) 23\:05\:05/Y-m-d H\:i\:s:yyyy-mm-dd 23\:05\:05/Y-m-d(lL) A h\:i\:s:yyyy-mm-dd(ww) PM 11\:05\:05/Y-m-d(D) A h\:i\:s:yyyy-mm-dd(w) PM 11\:05\:05/Y-m-d A h\:i\:s:yyyy-mm-dd PM 11\:05\:05/Y-m-d(lL) h\:i\:s:yyyy-mm-dd(ww) 11\:05\:05/Y-m-d(D) h\:i\:s:yyyy-mm-dd(w) 11\:05\:05/Y-m-d h\:i\:s:yyyy-mm-dd 11\:05\:05/y-m-d(lL) H\:i\:s:yy-mm-dd(ww) 23\:05\:05/y-m-d(D) H\:i\:s:yy-mm-dd(w) 23\:05\:05/y-m-d H\:i\:s:yy-mm-dd 23\:05\:05/y-m-d(lL) A h\:i\:s:yy-mm-dd(ww) PM 11\:05\:05/y-m-d(D) A h\:i\:s:yy-mm-dd(w) PM 11\:05\:05/y-m-d A h\:i\:s:yy-mm-dd PM 11\:05\:05/y-m-d(lL) h\:i\:s:yy-mm-dd(ww) 11\:05\:05/y-m-d(D) h\:i\:s:yy-mm-dd(w) 11\:05\:05/y-m-d h\:i\:s:yy-mm-dd 11\:05\:05/D M d H\:i\:s Y:W d Mon 23\:05\:05 yyyy/M d H\:i\:s Y:d Mon 23\:05\:05 yyyy/D M d A h\:i\:s Y:W d Mon PM 11\:05\:05 yyyy/M d A h\:i\:s Y:d Mon PM 11\:05\:05 yyyy/D M d h\:i\:s Y:W d Mon 11\:05\:05 yyyy/M d h\:i\:s Y:d Mon 11\:05\:05 yyyy}
$::backup_format = "Y-m-d(lL) H:i:s";

# ja:attachץ饰Ǥźեեեޥå
# @{Y-m-d(lL) H\:i\:s:yyyy-mm-dd(ww) 23\:05\:05/Y-m-d(D) H\:i\:s:yyyy-mm-dd(w) 23\:05\:05/Y-m-d H\:i\:s:yyyy-mm-dd 23\:05\:05/Y-m-d(lL) A h\:i\:s:yyyy-mm-dd(ww) PM 11\:05\:05/Y-m-d(D) A h\:i\:s:yyyy-mm-dd(w) PM 11\:05\:05/Y-m-d A h\:i\:s:yyyy-mm-dd PM 11\:05\:05/Y-m-d(lL) h\:i\:s:yyyy-mm-dd(ww) 11\:05\:05/Y-m-d(D) h\:i\:s:yyyy-mm-dd(w) 11\:05\:05/Y-m-d h\:i\:s:yyyy-mm-dd 11\:05\:05/y-m-d(lL) H\:i\:s:yy-mm-dd(ww) 23\:05\:05/y-m-d(D) H\:i\:s:yy-mm-dd(w) 23\:05\:05/y-m-d H\:i\:s:yy-mm-dd 23\:05\:05/y-m-d(lL) A h\:i\:s:yy-mm-dd(ww) PM 11\:05\:05/y-m-d(D) A h\:i\:s:yy-mm-dd(w) PM 11\:05\:05/y-m-d A h\:i\:s:yy-mm-dd PM 11\:05\:05/y-m-d(lL) h\:i\:s:yy-mm-dd(ww) 11\:05\:05/y-m-d(D) h\:i\:s:yy-mm-dd(w) 11\:05\:05/y-m-d h\:i\:s:yy-mm-dd 11\:05\:05/D M d H\:i\:s Y:W d Mon 23\:05\:05 yyyy/M d H\:i\:s Y:d Mon 23\:05\:05 yyyy/D M d A h\:i\:s Y:W d Mon PM 11\:05\:05 yyyy/M d A h\:i\:s Y:d Mon PM 11\:05\:05 yyyy/D M d h\:i\:s Y:W d Mon 11\:05\:05 yyyy/M d h\:i\:s Y:d Mon 11\:05\:05 yyyy}
$::attach_format = "Y-m-d(lL) H:i:s";

# ja:refץ饰Ǥźեեեޥå
# @{Y-m-d(lL) H\:i\:s:yyyy-mm-dd(ww) 23\:05\:05/Y-m-d(D) H\:i\:s:yyyy-mm-dd(w) 23\:05\:05/Y-m-d H\:i\:s:yyyy-mm-dd 23\:05\:05/Y-m-d(lL) A h\:i\:s:yyyy-mm-dd(ww) PM 11\:05\:05/Y-m-d(D) A h\:i\:s:yyyy-mm-dd(w) PM 11\:05\:05/Y-m-d A h\:i\:s:yyyy-mm-dd PM 11\:05\:05/Y-m-d(lL) h\:i\:s:yyyy-mm-dd(ww) 11\:05\:05/Y-m-d(D) h\:i\:s:yyyy-mm-dd(w) 11\:05\:05/Y-m-d h\:i\:s:yyyy-mm-dd 11\:05\:05/y-m-d(lL) H\:i\:s:yy-mm-dd(ww) 23\:05\:05/y-m-d(D) H\:i\:s:yy-mm-dd(w) 23\:05\:05/y-m-d H\:i\:s:yy-mm-dd 23\:05\:05/y-m-d(lL) A h\:i\:s:yy-mm-dd(ww) PM 11\:05\:05/y-m-d(D) A h\:i\:s:yy-mm-dd(w) PM 11\:05\:05/y-m-d A h\:i\:s:yy-mm-dd PM 11\:05\:05/y-m-d(lL) h\:i\:s:yy-mm-dd(ww) 11\:05\:05/y-m-d(D) h\:i\:s:yy-mm-dd(w) 11\:05\:05/y-m-d h\:i\:s:yy-mm-dd 11\:05\:05/D M d H\:i\:s Y:W d Mon 23\:05\:05 yyyy/M d H\:i\:s Y:d Mon 23\:05\:05 yyyy/D M d A h\:i\:s Y:W d Mon PM 11\:05\:05 yyyy/M d A h\:i\:s Y:d Mon PM 11\:05\:05 yyyy/D M d h\:i\:s Y:W d Mon 11\:05\:05 yyyy/M d h\:i\:s Y:d Mon 11\:05\:05 yyyy}
$::ref_format = "Y-m-d(lL) H:i:s";

#$::lastmod_format = "yǯnj(lL) ALgkʬS";	# ܸɽ

	# ǯ  :Y:(4)/y:(2)
	#   :n:1-12/m:01-12/M:Jan-Dec/F:January-December
	#   :j:1-31/J:01-31
	# :l:Sunday-Saturday/D:Sun-Sat/DL:-/lL:-
	# ampm:a:am or pm/A:AM or PM/AL: or 
	#   : g:1-12/G:0-23/h:01-12/H/00-23
	# ʬ  : k:0-59/i:00-59
	#   : S:0-59/s:00-59
	# O   : ˥åȤλֺ
	# r RFC 822 եޥåȤ줿 : Thu, 21 Dec 2000 16:01:07 +0200
	# Z ॾΥեåÿ -43200  43200
	# L ǯǤ뤫ɤɽ͡ 1ʤ鱼ǯ0ʤ鱼ǯǤϤʤ
	# lL:ߤΥθǤû
	# DL:ߤΥθǤĹ
	# aL:ߤΥθǤθʸ
	# AL:ߤΥθǤθʾʸ
	# t ꤷ 28  31
	# B Swatch 󥿡ͥåȻ 000  999
	# U Unix (1970ǯ1100ʬ0)ÿ See also time()

######################################################################
# ja:ʸѴ
######################################################################
# ja:ɽʸưִ
# @{80}
# format : before/after(space)before/after
$::replace{ja}='\\\\/&yen;';

######################################################################
# ja:ڡԽ
######################################################################
# ja:ƥȥꥢΥ
# @{80}
$::cols = 80;

# ƥȥꥢιԿ
# @{25}
$::rows = 25;

# ĥǽ(JavaScript)
# @{1:Ѥ/0:Ѥʤ}
$::extend_edit = 1;

# ja:PukiWiki饤Խ
# @{0:PyukiWikiꥸʥ/1:PukiWikiߴ/2:PukiWikiܿɤ߹ߵǽ/3:PukiWikiܿΤ߿ɤ߹ߵǽ}
$::pukilike_edit = 3;

# ja:ץӥ塼ɽ
# @{0:Խ̤ξ/1:Խ̤β}
$::edit_afterpreview = 1;

# ja:ξ硢ϢڡΥ󥯤ͤȤɽ
# @{[[$1]]}
$::new_refer = '[[$1]]';

# ja:ڡ̤ǡɤΥڡβؤ뤫Ǥ褦ˤ
# @{1:Ѥ/0:Ѥʤ}
$::new_dirnavi = 1;

# ja:ڡԽ塢locationǰư롣äƥɥܥ򲡤ˡٹɽʤ̤ޤ̵СǤưʤʤǽޤ
# @{1:locationǰư/0:locationѤʤ}
$::write_location = 1;

# ja:ʬԽ
# @{0:Ѥʤ/1:Ѥ/2:ڡѤ}
$::partedit = 1;


# ja:ʬԽǡǽθФʬ1ܤθФȤߤʤ
# @{0:ʤʤ/1:ʤ}
$::partfirstblock = 0;

# ja:PukiWiki
# @{0:Ѥʤ/1:Ѥ}
$::usePukiWikiStyle = 1;

# ja:Ǽ뤵ƤڡǤץ饰󤫤񤭹褦ˤ
# @{1:Ѥ/0:Ѥʤ}
$::writefrozenplugin = 1;

# ja:ڡǧ
# @{0:ïǤǤ/1:ѥɤɬ}
$::newpage_auth = 0;

# ja:ץư
# @{0:ʤˤ⤷ʤ/1:ϤƤüΤɻߤ/2:ץ줿顢եõ뤫ǧ}
$::use_escapeoff = 2;

# ja:եμưХåå
# @{0:Хååפ/1:Хååפʤ}
$::use_formbackup = 1;

# ja:Ǽ̾¸setting.inc.cgiͭΤߡ
# @{0:¸ʤ/1:ǥեȤͭˤ}
$::setting_savename = 0;

######################################################################
# ja:ư
######################################################################

# ja:WikiNameμư
# @{0:ư󥯤/1:ư󥯤ʤ}
$::nowikiname = 0;

# ja:URLμư
# @{1:ư󥯤/0:ư󥯤ʤ}
$::autourllink = 1;

# ja:᡼륢ɥ쥹μư
# @{1:ư󥯤/0:ư󥯤ʤ}
$::automaillink = 1;

# ja:ΥܥåȤΥե
# @{0:եʤ/1:ȤΤߥե/2:ƥե}
$::follow = 2;

# ja:article˽񤫤줿URLΥե
# @{0:եʤ/1:ǥե/2:ƥե}
$::postfollow = 0;

# ja:file://Υޤͭˤʥȥͥåȸ
# @{0:̾/1:ͭˤ}
$::useFileScheme = 0;

# ja:ȥͥåȸ˥ɥåȤʤΥ᡼륢ɥ쥹ͭˤ
# @{0:̾/1:ͭˤ}
$::IntraMailAddr = 0;

# ja:URL˲ΤΤꤵ줿顢̵imgǥ󥯤򤹤롣
# @{0:󥯤Τߤ/1:ɽ}
$::use_autoimg = 1;

# ja:ܤǤʤURLɽ
# @{(\/\/|\.exe|\.scr|\.bat|\.pif|\.com|\.jpe?g|\.gif|\.png)$';}
$::ignoreurl = '(\/\/|\.exe|\.scr|\.bat|\.pif|\.com|\.jpe?g|\.gif|\.png)$';

######################################################################
# ja:å
######################################################################
# ja:¸cookieͭ¡3
# @{7776000}
$::cookie_expire = 3*30*86400;

# ja:¸cookiΥեåֳ֡1
# @{86400}
$::cookie_refresh = 86400;

######################################################################
# ja:󥿡
######################################################################

# ja:󥿡μ
# @ja{1:饷å󥿡ʺȺΤ¸/2:ĥ󥿡/3:®󥿡ʣ뤴ȤˣХȾ񤷤ޤ}
$::CounterVersion = 1;

# ja:¸ʺ1000
# @{365}
$::CounterDates = 365;

# ja:󥿡Υ⡼ȥۥȤå
# @{1:⡼ȥۥȤå/0:ɤǤ̵ǥȤ}
$::CounterHostCheck = 1;

######################################################################
# ja:󥿡
######################################################################

# ja:źդλ
# @ja{0:Ѥʤ/1:Ѥ/2:ǧդǻѤ/3:ΤǧդǻѤ}
$::file_uploads = 2;

# ja:åץɥեκ
# @{5000000}
$::max_filesize = 5000000;

# ja:źեեδʰƴƺԤʤ
# @{1:Ԥʤ/0:Ԥʤ}
$::AttachFileCheck = 1;

# ja:źեեΥɥȤԤʤ
# @{0:ȤԤʤʤ/1:ȤԤʤ/2:ɽ̤ɽ⤹}
$::AttachCounter = 0;

######################################################################
# ja:إ
######################################################################

# ja:إפץ饰Ǽ¹Ԥ
# @{1:ץ饰󤫤¹Ԥ/0:ڡȤɽ}
$::use_HelpPlugin = 1;	# إפץ饰Ǽ¹ԤʥʥӥѲޤ

# إץڡԽ
# ?cmd = adminedit&mypage = %a5%d8%a5%eb%a5%d7 
# UTF-8ǤǤ
# ?cmd = adminedit&mypage = ?%e3%83%98%e3%83%ab%e3%83%97 

# ja:إפΥ󥯤ɽʤ
# @{0:ɽ/1:ɽʤ}
$::no_HelpLink = 0;

######################################################################
# ja:
######################################################################
# ja:ޤ
# @ja{0:̾︡/1:ܸʰפޤѤ}
$::use_FuzzySearch = 1;

# ja:Ĵɽ򤹤
# @ja{0:⤷ʤ/1:Ĵɽ򤹤}
$::use_Highlight = 1;

######################################################################
# ja:ȥޥå
######################################################################

# ja:ȥޥåפλ
# @ja{0:ꥹȤΤ/1:ꥹȡȥޥåפξѤ}
$::use_Sitemap = 0;

######################################################################
# ja:XMLȥޥå
######################################################################
# ja:󥸥륵ȥޥåפλ
# @ja{0:Ѥʤ/1:Ѥ}
$::use_Sitemaps = 1;
# ?cmd = sitemapsXML

######################################################################
# ja:ʥӥ
######################################################################
# ja:ʥӥȤɽ
# @ja{0:ɽ/1:ɽʤ}
$::disable_navigator = 0;

# ja:ʥӥɽ
# @ja{0:ɡ/1:ȥåס}
$::naviindex = 1;

######################################################################
# ja:ưꥫХ꡼
######################################################################

# @ja{0:OFF/1:ON}
$::auto_recovery = 1;

######################################################################
# ja:ڡ̾ɽ
######################################################################

# ja:ڡ̾βtopicpathʥѥ󤯤ꥹȡˤλ
# @ja{0:Ѥʤ/1:Ѥ}
$::useTopicPath = 1;

# ja:ػѥѥ졼
# @{/}
$::separator = '/';

# ja:ɥå
# @{.}
$::dot = '.';

# ja:βġС
# @ja{0:ɽʤ/1:RSSΤɽ/2:٤ɽ}
$::toolbar = 2;

######################################################################
# ja:setting.inc.pl/cgi
######################################################################
# ja:ԴĶ굡ǽȤ
# @{0:Ѥʤ/1:Ѥ}
$::use_Setting = 1;

# ja:󥻥쥯Ȥ
# @{0:Ѥʤ/1:Ѥ}
$::use_SkinSel = 1;

######################################################################
# ja:
######################################################################

# ja:κ¸
# @{50}
$::maxrecent = 50;

# ja:˴ޤʤڡ̾(ɽ)
# @{(^\:|$::separator\:)}
$::non_list = qq((^\:|$::separator\:));
#$::non_list = qq((^\:));
#$::non_list = qq((^\:|$::MenuBar\$)); # example of MenuBar

# ja:źեեڡnon_listǻꤷڡ
# @ja{0:ʤ/1:}
$::attach_nonlist = 1;

######################################################################
# ja:gzip
######################################################################

# ja:gzipѥλ
# @ja{:ưǧ/nouse:gzipѤʤ/\/bin\/gzip -1:\/bin\/gzip -1 (®)/\/usr\/bin\/gzip -1 -f:\/usr\/bin\/gzip -1 -f (®)/\/usr\/local\/bin\/pigz -1 -f:\/usr\/local\/bin\/pigz -1 -f (˹®ǤɸġǤ)/\/bin\/gzip -9:\/bin\/gzip -9 (ǹⰵ)/\/usr\/bin\/gzip -9 -f:\/usr\/bin\/gzip -9 -f (ǹⰵ)/zlib:zlib(perlɸ饤֥Ǥ®Ǥ)}
$::gzip_path = '';

#$::gzip_path = '/bin/gzip -1';			# fast
#$::gzip_path = '/usr/bin/gzip -1 -f';	# fast
#$::gzip_path = '/usr/local/bin/pigz -1 -f';	# very fast
#$::gzip_path = '/bin/gzip -9';			# max compress
#$::gzip_path = '/usr/bin/gzip -9 -f';	# max compress

# gzipѤʤ
#$::gzip_path = 'nouse';				# Ѥʤ
										# ưʤ祳ȥ

######################################################################
# ja:᡼Τ
######################################################################

# ja:WikiΤͤΤ餻
# @{0:⤷ʤ/1:Τ餻}
$::sendmail_to_admin = 0;

# ja:WikiΤΤ餻ɲå᡼륢ɥ쥹
# @{$::modifier_mail\n}
$::addmodifier_mail = '';

# ja:ΤΥ᡼Υإå
# @{[Wiki]}
$::mail_head = "[Wiki]";

# do not change
$::mail_head_plus = "";

# ja:ե᡼Υإå
# @{Form}
$::mail_head{form} = "Form";

# ja:Υإå
# @{New}
$::mail_head{new} = "New";

# ja:Υإå
# @{Modify}
$::mail_head{modify} = "Modify";

# ja:Υإå
# @{Delete}
$::mail_head{delete} = "Delete";

# ja:pingΥإå
# @{Ping}
$::mail_head{ping} = "Ping";

# ja:ѥΥإå
# @{Spam}
$::mail_head{spam} = "Spam";

# ja:ݤΥإå
# @{Deny}
$::mail_head{deny} = "Deny";

# ja:źեե륢åץɤΥإå
# @{AttachUpload}
$::mail_head{attachupload} = "AttachUpload";

# ja:źեեΥإå
# @{AttachDelete}
$::mail_head{attachdelete} = "AttachDelete";

# ja:Υ᡼Υإå
# @{Post}
$::mail_head{post} = "Post";

# ja:ɼΥ᡼Υإå
# @{Vote}
$::mail_head{vote} = "Vote";

# ja:եѹΤΥإå
# @{SetupEdit}
$::mail_head{setupedit} = "SetupEdit";

# ja:եΤΥإå
# @{SetupDelete}
$::mail_head{setupdel} = "SetupDelete";

# ja:ȥåХåΤΥإå
# @{TrackBack}
$::mail_head{trackback} = "TrackBack";

# UTF-8᡼  MIME::Base64ɬ
# @ja{0:ISO-2022-JP/1:UTF8 MIME::Base64ɬ}
$::send_utf8_mail = 0;

# ja:sendmailѥλ
# @{/usr/sbin/sendmail -t\n/usr/bin/sendmail -t\n/usr/lib/sendmail -t\n/var/qmail/bin/sendmail -t}
$::modifier_sendmail = <<EOM;
/usr/sbin/sendmail -t
/usr/bin/sendmail -t
/usr/lib/sendmail -t
/var/qmail/bin/sendmail -t
EOM

# ja:ԸPGPŹ沽ΰ٤ΥץΥѥȥץ
# @{}
$::modifier_pgp = "";
#$::modifier_pgp = "/usr/local/bin/gpg --always-trust";

# ja:ԸPGPŹ沽Υ᡼ʻ̾ޤϥ᡼륢ɥ쥹
# @{}
$::modifier_pgp_name = "";

# ja:åΤͤΤ餻
# @{0:Τʤ/1:Τ}
$::sendmail_crash_to_admin = 1;

# ja:Ԥ˥åΤ
# @{0:Τʤ/1:Τ}
$::sendmail_crash_to_author = 1;

# ja:Ԥѹʤǲͽʤѹ
# @<{pyukiwiki-crash (at) daiba (dot) cx}>
$::sendmail_crash_to_author_mail = '<pyukiwiki-crash (at) daiba (dot) cx>';

######################################################################
# P3PΥѥȥݥꥷ http://fs.pics.enc.or.jp/p3pwiz/p3p_ja.html
# ɬפǤ /w3cʲǥ쥯ȥˤŬڤ˥ե֤ͭˤޤ
######################################################################
#$::P3P = "NON DSP COR CURa ADMa DEVa IVAa IVDa OUR SAMa PUBa IND ONL UNI COM NAV INT CNT STA";

######################################################################
# ʥӥ˥󥯤ɲä륵ץ
######################################################################
#push(@::addnavi,"link:help");		# helpɲ
##push(@::addnavi,"link::help");	# helpθɲ
#$::navi{"link_title"} = "󥯽";
#$::navi{"link_url"} = "$::script?%a5%ea%a5%f3%a5%af";	# page of ''
#$::navi{"link_name"} = "󥯽";
#$::navi{"link_type"} = "page";
#$::navi{"link_height"} = 14;
#$::navi{"link_width"} = 16;

######################################################################
# ǡ١󥸥
######################################################################
$::modifier_dbtype = 'Nana::YukiWikiDB';
#$::modifier_dbtype = 'Nana::GDBM';
#$::modifier_dbtype = 'Nana::SQLite';
# this is obsoleted
#$::modifier_dbtype = 'Yuki::YukiWikiDB';

######################################################################
# ja:ѥե륿
######################################################################

# ja:ѥե륿ͭˤ
# @{0:̵/1:ͭ}
$::filter_flg = 1;
$::chk_uri_count = 10;				# 쥪ץ

# ja:WikiԽ̤ǤURL¸Ŀ
# @{10}
$::chk_wiki_uri_count = 10;

# ja:ǼǤURL¸Ŀ
# @{1}
$::chk_article_uri_count = 1;

# ja:ǼǤΥ᡼륢ɥ쥹¸Ŀ
# @{1}
$::chk_article_mail_count = 1;

# ja:Խ̤ܸ줬¸ߤʤ硢ѥȤߤʤ
# @{0}
$::chk_write_jp_only = 0;

# ja:Ǽġܸ줬äƤʤȡѥȤߤʤ
# @{1}
$::chk_jp_only = $::lang eq "ja" ? 1 : 0;

# ja:ե
# @{$::cache_dir/deny-log.deny}
$::deny_log = "$::cache_dir/deny-log.deny";

# ja:ե륿ե饰դƤȤΥ
# @{$::cache_dir/black-lst.deny}
$::black_log = "$::cache_dir/black-lst.deny";

# ja:ݥꥹ
# @{$::cache_dir/denylist.deny}
$::deny_list = "$::cache_dir/denylist.deny";

# ja:ưŪ˵ݥꥹȤϿ
# @{3}
$::auto_add_deny = 3;

# ja:ݤͭ¡1
# @{2678400}
$::deny_expire = 24*60*60*31;

# 񤭹߶ػߥ
$::ngwords="ngwords.ini.cgi" if($::ngwords eq "");
require $::ngwords if(-f $::ngwords);
require $::ngwords_file if(-f $::ngwords_file);

######################################################################
# ja:ॾ
######################################################################

# ja:ॾ(GMTȤλֺ
# @{:ư/-12:GMT-12\:00 ˥ȥ/-11:GMT-11\:00 ߥåɥ硢⥢/-10:GMT-10\:00 ϥ磻/-9:GMT-09\:00 饹/-8:GMT-08\:00 ʿɸƹ񡢥ʥˡƥե/-7:GMT-07\:00 ꥾/-7:GMT-07\:00 ɸƹ񡢥ʥ/-6:GMT-06\:00 /-6:GMT-06\:00 ᥭƥ/-6:GMT-06\:00 ꥫ/-6:GMT-06\:00 ɸƹ񡢥ʥ/-5:GMT-05\:00 ǥ/-5:GMT-05\:00 ܥޡ/-5:GMT-05\:00 ɸƹ񡢥ʥ/-4:GMT-04\:00 饫ѥ/-4:GMT-04\:00 ƥ/-4:GMT-04\:00 ɸ (ʥ)/-3.5:GMT-03\:30 ˥塼եɥ/-3:GMT-03\:00 ꡼/-3:GMT-03\:30 ֥Υ쥹硼/-3:GMT-03\:00 ֥饸ꥢ/-2:GMT-02\:00 /-1:GMT-01\:00 쥹/-1:GMT-01\:00 ܥ٥ǽ/0:GMT+00\:00 ֥󥫡ӥ/0:GMT+00\:00 ˥åɸ/0:GMT+00\:00 ֥󡢥Х顢ꥹܥ󡢥ɥ/1:GMT+01\:00 ॹƥࡢ٥󡢥٥󡢥ޡȥåۥ/1:GMT+01\:00 饨ܡԥեӥ˥她륷/1:GMT+01\:00 ֥å롢ޥɥ꡼ɡڥϡ󡢥ѥ/1:GMT+01\:00 ٥顼ɡץС֥ڥȡ֥ʡץ/1:GMT+01\:00 եꥫ/2:GMT+02\:00 ƥ֡͡롢ߥ󥹥/2:GMT+02\:00 륵/2:GMT+02\:00 /2:GMT+02\:00 ϥ顼졢ץȥꥢ/2:GMT+02\:00 ֥쥹/2:GMT+02\:00 إ륷󥭡ꥬ/3:GMT+03\:00 ȡ/3:GMT+03\:00 ʥ/3:GMT+03\:00 Хå/3:GMT+03\:00 ⥹ܥ르顼ɡ󥯥ȥڥƥ֥륰/3.5:GMT+03\:30 ƥإ/4:GMT+04\:00 ֥ӡޥå/4:GMT+04\:00 ХȥӥꥷХ/4.5:GMT+04\:30 ֡/5:GMT+05\:00 ޥСɡ/5:GMT+05\:00 ƥС/5.5:GMT+05\:30 륫åʥХ˥塼ǥ꡼/5.75:GMT+05\:45 ȥޥ/6:GMT+06\:00 ʡå/6:GMT+06\:00 ޥƥΥܥӥ륹 /6:GMT+06\:00 ꡢʥץ/6.5:GMT+06\:30 󥰡/7:GMT+07\:00 饹Υ륹/7:GMT+07\:00 Х󥳥ϥΥ㥫륿/8:GMT+08\:00 륯ĥСȥ/8:GMT+08\:00 ס롢󥬥ݡ/8:GMT+08\:00 ѡ/8:GMT+08\:00 /8:GMT+08\:00 ̵ŷġ/9:GMT+09\:00 /9:GMT+09\:00 䥯ĥ/9:GMT+09\:00塢ڡ/9.5:GMT+09\:30 ǥ졼/9.5:GMT+09\:30 /10:GMT+10\:00 饸ȥ/10:GMT+10\:00 ٥顢ܥ󡢥ɥˡ/10:GMT+10\:00 ࡢݡȥ쥹ӡ/10:GMT+10\:00 ֥ꥹ٥/10:GMT+10\:00 ۥС/11:GMT+11\:00 ޥ󡢥硢˥塼ɥ˥/12:GMT+12\:00 ɡȥ/12:GMT+12\:00 եåޡ/13:GMT+13\:00 ̥ե}
$::TZ = '';
#$::TZ = '9';		# ΤϤ䤤⡩ѡ


######################################################################
# 
######################################################################
$::disable_wiki_title = 0;
$::disable_wiki_page_title = 0;


######################################################################
1;

__END__
=head1 NAME

pyukiwiki.ini.cgi - This is pyukiwiki setting file

=head1 DESCRIPTION

This file is a configuration file of PyukiWiki.
Please carry out a suitable setup before setting up CGI.

=cut
